Personal dotfiles for Linux, mostly for Nixpkgs/NixOS-based and Termux setups. Mirrored using GitLab's push mirroring feature. gitlab.com/andreijiroh-dev/dotfiles
linux dotfiles
2
fork

Configure Feed

Select the types of activity you want to include in your feed.

chore(global): apply patches from termux branch

See-Also: 00aa74c8255465f7a785dcc0b0f32f44bc0b2886
See-Also: cbeb6b6b8589f9e3bca51b838a8fbf919aca2a8e
Signed-off-by: Andrei Jiroh Halili <ajhalili2006@andreijiroh.xyz>

+27 -15
+7 -2
.config/yadm/bootstrap
··· 8 8 9 9 set -eu 10 10 11 + if [[ $DEBUG != "" ]]; then 12 + set -x 13 + fi 14 + 11 15 # Directory to look for bootstrap executables in 12 16 BOOTSTRAP_D="${BASH_SOURCE[0]}.d" 13 17 14 18 if [[ ! -d "$BOOTSTRAP_D" ]]; then 15 - echo "Error: bootstrap directory '$BOOTSTRAP_D' not found" >&2 19 + echo "[bootstrap] Error: bootstrap directory '$BOOTSTRAP_D' not found" >&2 16 20 exit 1 17 21 fi 18 22 19 23 find -L "$BOOTSTRAP_D" -type f | sort | while IFS= read -r bootstrap; do 20 24 if [[ -x "$bootstrap" && ! "$bootstrap" =~ "##" && ! "$bootstrap" =~ "~$" ]]; then 25 + echo "[bootstrap] running $bootstrap" 21 26 if ! "$bootstrap"; then 22 - echo "Error: bootstrap '$bootstrap' failed" >&2 27 + echo "[bootstrap] Error: bootstrap '$bootstrap' failed" >&2 23 28 exit 1 24 29 fi 25 30 fi
+11 -6
.config/yadm/bootstrap.d/00-post-clone-repo.sh
··· 1 1 #!/usr/bin/env bash 2 2 3 - set -x 3 + if [ $DEBUG != "" ]; then 4 + set -x 5 + fi 4 6 5 7 if [ ! -d "$HOME/.git" ] && [ -d "$HOME/.local/share/yadm/repo.git" ]; then 6 - echo "Symlinking ~/.git to ~/.local/share/yadm/repo.git for compatibility" 8 + echo "[git-symlinks] Symlinking ~/.git to ~/.local/share/yadm/repo.git for compatibility" 7 9 ln -s ~/.local/share/yadm/repo.git ~/.git 8 10 elif [ -d "$HOME/.git" ] && [ ! -d "$HOME/.local/share/yadm/repo.git" ]; then 9 - echo "Symlinking ~/.local/share/yadm/repo.git to ~/.git for compatibility" 11 + echo "[git-symlinks] Symlinking ~/.local/share/yadm/repo.git to ~/.git for compatibility" 10 12 ln -s ~/.git ~/.local/share/yadm/repo.git 13 + else 14 + echo "[git-symlinks] Looks like everything is all clear on git" 11 15 fi 12 16 13 - echo "Setting git remote URLs to SSH" 14 - git remote set-url --add origin ssh://git@mau.dev/andreijiroh.dev/dotfiles || true 15 - git remote set-url --add hut ssh://git@git.sr.ht/~ajhalili2006/dotfiles || git remote add hut ssh://git@git.sr.ht/~ajhalili2006/dotfiles 17 + echo "[git-remotes] Setting git remote URLs to SSH" 18 + git remote set-url --add --push hut ssh://git@git.sr.ht/~ajhalili2006/dotfiles \ 19 + || git remote add hut https://git.sr.ht/~ajhalili2006/dotfiles \ 20 + && git remote set-url --add --push hut ssh://git@git.sr.ht/~ajhalili2006/dotfiles
+9 -7
.gitconfig
··· 25 25 # authentication hellscape 26 26 [credential "https://github.com"] 27 27 helper = 28 - helper = !/usr/bin/gh auth git-credential 28 + helper = !gh auth git-credential 29 29 [credential "https://gist.github.com"] 30 30 helper = 31 - helper = !/usr/bin/gh auth git-credential 31 + helper = !gh auth git-credential 32 32 [credential "https://gitlab.com"] 33 33 helper = 34 - helper = !/usr/bin/glab auth git-credential 34 + helper = !glab auth git-credential 35 35 [credential "https://mau.dev"] 36 36 helper = 37 - helper = !/usr/bin/glab auth git-credential 37 + helper = !glab auth git-credential 38 38 [credential "https://gitlab.alpinelinux.org"] 39 39 helper = 40 - helper = !/usr/bin/glab auth git-credential 40 + helper = !glab auth git-credential 41 41 42 42 # sendemail stuff (https://go.recaptime.eu.org/sendgmail) 43 43 #[sendemail] ··· 82 82 # path = ~/.config/git/ajhalili2006-experiments.include.gitconfig 83 83 #[includeIf "gitdir/i:~/projects/labs.andreijiroh.dev"] 84 84 # path = ~/.config/git/ajhalili2006-experiments.include.gitconfig 85 - [includeIf "gitdir/i:~/git-projects/recaptime.dev/"] 86 - path = ~/.config/git/recaptime-dev.include.gitconfig 85 + #[includeIf "gitdir/i:~/git-projects/recaptime.dev/"] 86 + # path = ~/.config/git/recaptime-dev.include.gitconfig 87 87 [includeIf "gitdir/i:~/projects/recaptime.dev/"] 88 88 path = ~/.config/git/recaptime-dev.include.gitconfig 89 89 [includeIf "gitdir/i:/workspaces/recaptime.dev/"] ··· 107 107 command = echo \"$(git config user.name) <$(git config user.email)>\" 108 108 [push] 109 109 autoSetupRemote = true 110 + [safe] 111 + directory = /storage/emulated/0/Documents/git/recaptime-dev/proxyparty